JSOO_MINIFY(1)

NAME

jsoo_minify - JavaScript minifier

SYNOPSIS

jsoo_minify [OPTION]… [JS_FILES]…

DESCRIPTION

jsoo_minify is a JavaScript minifier.

OPTIONS

--custom-header=VAL
    Provide a custom header for the generated JavaScript file, useful for making the script an executable file with #!/usr/bin/env node

--debug=SECTION
    enable debug [SECTION].

--debuginfo, --debug-info
    Output debug information.

--disable=OPT
    Disable optimization [OPT].

--enable=OPT
    Enable optimization [OPT].

--noinline, --no-inline
    Disable inlining.

-o FILE
    Set output file name to [FILE].

--pretty
    Pretty print the output.

-q, --quiet
    suppress non-error messages.

--stdin
    Read from standard input.

--Werror
    turn all warnings into errors.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

jsoo_minify exits with:

0   on success.

123 on indiscriminate errors reported on standard error.

124 on command line parsing errors.

125 on unexpected internal errors (bugs).

BUGS

Bugs are tracked on github at https://github.com/ocsigen/js_of_ocaml/issues.

SEE ALSO

js_of_ocaml(1)

AUTHORS

Jerome Vouillon, Hugo Heuzard.

LICENSE

Copyright (C) 2010-2019.

jsoo_minify is free software, you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, with linking exception; either version 2.1 of the License, or (at your option) any later version.